version: '3'

services:
  ###> doctrine/doctrine-bundle ###
  database:
    image: mariadb:${MARIADB_VERSION:-latest}
    environment:
      MARIADB_DATABASE: ${MARIADB_DATABASE:-app}
      # You should definitely change the password in production
      MARIADB_PASSWORD: ${MARIADB_PASSWORD:-symfony}
      MARIADB_USER: ${MARIADB_USER:-symfony}
      MARIADB_ROOT_PASSWORD: ${MARIADB_ROOT_PASSWORD:-symfony}
    volumes:
      - database_data:/var/lib/mysql:rw
###< doctrine/doctrine-bundle ###

volumes:
  ###> doctrine/doctrine-bundle ###
  database_data:
###< doctrine/doctrine-bundle ###
